﻿@page "{playerId}/{gameId}/{roundId}/{id}"
@model Dixit.Pages.WaitForRoundResultsModel
@{
}

<meta http-equiv="refresh" content="5" />


<br />
<h1 class="d-flex justify-content-center">Wait for other players' guesses</h1>
<br />
<div class="container-fluid">
    <div class="row">
        <div class="col-4" style="text-align:center;font-size:25px;padding-bottom:15px;">
            Card
        </div>
        <div class="col-4" style="text-align:center;font-size:25px;padding-bottom:15px;">
            Storyteller Hint
        </div>
        <div class="col-4" style="text-align:center;font-size:25px;padding-bottom:15px;">
            Current points
        </div>
    </div>
    <div class="row">
        <div class="col-4" style="text-align:center;font-size:25px;padding-bottom:15px;">
            <img style="height:200px; padding-bottom: 20px;" src="~/assets/@Model.PlayerGuessedCardAddress" />
        </div>
        <div class="col-4" style="text-align:center;font-size:25px;padding-bottom:15px;">
            <partial name="_HintDisplay" model="Model.Hint" />
        </div>
        <div class="col-4" style="text-align:center;padding-bottom:15px;">
            <partial name="_RoundAndGamePoints" model="Model.PlayersPoints" />
        </div>
    </div>
    <div class="row">
        <div class="col-12" style="text-align:center;padding-bottom:15px;">
            All selected cards in this round
        </div>
    </div>
    <div class="row">
        <div class="col-12" style="text-align:center;padding-bottom:15px;">
            <partial name="_AllSelectedCards" model="Model.AllSelectedCards"/>
        </div>
    </div>
    <div class="row">
        <div class="col-12" style="text-align:center;padding-bottom:15px;">
            Your remaining cards
        </div>
    </div>
    <div class="row">
        <div class="col-12" style="text-align:center;padding-bottom:15px;">
            <partial name="_RemainingCards" model="Model.RemainingCards"/>
        </div>
    </div>
</div>



